package vavetam.api.structure;


import java.util.List;

import vavetam.implementation.structure.enums.Intention;


public interface IPreverbalMessage {

	public List<IDescriptor> getDescriptors();

	public void setDescriptors(List<IDescriptor> descriptors);

	public IReferentialObject getReferentialObject();

	public void setReferentialObject(IReferentialObject referentialObject);

	public Intention getIntention();

	public void setIntention(Intention intention);

	public IMapExploratoryProcedure getMep();
	
	public void setRepetition(boolean repetition);
	
	public boolean isRepetition();
	
}