package vavetam.implementation.fileio.logging;

import org.apache.log4j.PatternLayout;

public class TexTablePatternLayout extends PatternLayout {
	
//	private static final String HLINE = "\\hline"; // horizontal line in tex
//	private static final String TEXNEWLINE = "\\\\"; //new line for tex
	private static final String NEWLINE = "\n"; //new line for log4j
	private static final String BEGINTABLE = "\\begin{table}[h]\n\\begin{tabularx}{textwidth}";
	public static final String ENDTABLE = "\\end{tabularx}\n\\end{table}";
	
	@Override
	public String getHeader() {
		return new StringBuilder()
			.append(BEGINTABLE)
			.append(getRowSettings())
			.append(NEWLINE)
			.toString();
	}
	
//	public String getConversionPattern() {
//		return "%-5rms & %-31c{1} & %m" + TEXNEWLINE + HLINE + NEWLINE;
//	}
	
	private String getRowSettings() {
		return "{|l|l|X|}";
	}
}
