package vavetam.implementation.startup;

import java.text.DateFormat;
import java.util.Date;

import org.springframework.context.ApplicationContext;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import vavetam.implementation.simulation.AutomaticSimulator;


public class Startup {

	public static String startTime;
	
	public static void main(String[] args) {
		startTime = DateFormat.getDateTimeInstance().format((new Date()));
		ApplicationContext context = new ClassPathXmlApplicationContext("vavetam/VavetamBeans.xml");
		context.getBean("autoSim", AutomaticSimulator.class).go();
		((ConfigurableApplicationContext) context).close();
	}
}
