package vavetam.api.structure;

import inpro.incremental.unit.PhraseIU;

import java.util.List;
import java.util.Set;

public interface IFormulation {

	public List<PhraseIU> getIus();

	public String getText();

	public Set<IPreverbalMessage> getPvms();

	public Set<IMapExploratoryProcedure> getMeps();

	public boolean isCompleted();

}