package vavetam.implementation.generation.incremental.formulation;

import static vavetam.implementation.generation.incremental.formulation.Dictionary.HESITATION;

import java.util.Collections;
import java.util.List;

import vavetam.api.structure.IFormulation;
import vavetam.api.structure.IPreverbalMessage;
import vavetam.implementation.structure.Formulation;


public class ExtensionFormulator implements IFormulator {

	@Override
	public List<IFormulation> formulate(IPreverbalMessage... pvms) {
		StringBuilder result = new StringBuilder();
		result.append(HESITATION);
		IFormulation formulation = new Formulation(result.toString(), pvms[0]);
		return Collections.singletonList(formulation);
		//TODO: hier was vernünftiges implementieren
	}
}
