package vavetam.implementation.generation.incremental.heuristic;

public class SimpleSpeechDurationHeuristic implements SpeechDurationHeuristic{
	
	private int millisPerLetter;
	
	public SimpleSpeechDurationHeuristic(int millisPerLetter) {
		this.millisPerLetter = millisPerLetter;
	}
	
	@Override
	public int getDurationInMillis(String s) {
		return s.length() * millisPerLetter;
	}
}
