package vavetam.implementation.simulation;

import inpro.incremental.unit.PhraseIU;
import inpro.incremental.unit.WordIU;

public class PhraseIUMock extends PhraseIU {
	
	private Progress progress = Progress.UPCOMING;

	public PhraseIUMock(WordIU word) { super(word); }

	public PhraseIUMock(String phrase) { super(phrase); }

	public PhraseIUMock(String phrase, PhraseType type) { super(phrase, type); }
	
	@Override
	public Progress getProgress() { return progress; }
	
	public void setProgress(Progress progress) { this.progress = progress; }
}
