package vavetam.implementation.structure.enums;

/**
 * Conceptual types are the different types of RefOs that can be found on a
 * tactile map.
 * 
 * @author Ole Eichhorn
 *
 */
public enum RefOType {
	MAP_ME, // ME = "map entity"
	FRAME_ME, // FRAME : border of the map
	FRAME_SEGMENT_ME, 
	REGION_ME, // like "top of the map", not like "somewhere around Duesseldorf"
	TRACK_WME, // TRACK: a street; WME = map entity which represents something in the real world
	TRACK_SEGMENT_WME, 
	TRACK_CONFIGURATION_WME, 
	LANDMARK_WME, 
	REGION_WME
	}
