package vavetam.implementation.structure.util;

import vavetam.api.structure.IPredicate;
import vavetam.implementation.structure.enums.PredicateName;


public class PredicateUtils {
	
	public static boolean isLimitPredicate(IPredicate p) {
		return PredicateName.isLimitPredicate(p.getName());
	}
	
	public static boolean isPartOfPredicate(IPredicate p) {
		return PredicateName.isPartOfPredicate(p.getName());
	}
	
	public static boolean isIndefiniteIdentificationPredicate(IPredicate p) {
		return PredicateName.isIndefiniteIdentificationPredicate(p.getName());
	}
	
	public static boolean isSpatialRelationPredicate(IPredicate p) {
		return PredicateName.isSpatialRelationPredicate(p.getName());
	}
}
