package vavetam.implementation.fileio;

import org.apache.commons.lang.StringUtils;

import vavetam.api.structure.IReferentialObject;
import vavetam.implementation.generation.incremental.formulation.Dictionary;
import vavetam.implementation.structure.enums.RefOType;
import vavetam.implementation.structure.refo.ReferentialObjectBuilder;



public class DictionaryTest {
	
	public static void main(String[] args) {
		// sogar ohne, dass man ihm die gender mitteilt :)
		ReferentialObjectBuilder refoBuilder = new ReferentialObjectBuilder("pt1", RefOType.TRACK_WME);
		refoBuilder.setDefiniteIdentification("Marktstraße");
		
		IReferentialObject refo1 = refoBuilder.result();
		
		refoBuilder = new ReferentialObjectBuilder("pt2", RefOType.TRACK_WME);
		refoBuilder.setDefiniteIdentification("Habichtweg");
		
		IReferentialObject refo2 = refoBuilder.result();
		
		System.out.println(StringUtils.join(Dictionary.createCompoundIdentificationMessage(refo1, refo2, true, false), "\n"));
	}
}
